உள்ளடக்கத்திற்குச் செல்க

Ovi Text to Video

ஒருங்கிணை

மாடல் id ovi
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ovi?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கை: $0.20 200 API கிரெடிட்கள் இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக
Character.AI · வீடியோ

உங்கள் முதல் முடிவு இங்கே வரும்

கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

•தேவை

வீடியோ உருவாக்கத்தை வழிநடத்தும் உரை வழிமுறைகள்.

resolution இயல்புநிலை 992x512

W:H வடிவில் குறிப்பிடப்படும் வெளியீட்டு வீடியோ தெளிவுத்திறன். 512x992, 992x512, 960x512, 512x960, 720x720 அல்லது 448x1120 இலிருந்து தேர்வு செய்யவும்.

மேம்பட்டவை negative_prompt · audio_negative_prompt · num_inference_steps · seed · enable_safety_checker
இயல்புநிலை jitter, bad hands, bl...

வீடியோ உருவாக்கும்போது பயன்படுத்தப்படும் எதிர்மறை ப்ராம்ப்ட்.

இயல்புநிலை robotic, muffled, ech...

உருவாக்கப்படும் ஆடியோவில் எதைத் தவிர்க்க வேண்டும் என்பதைக் குறிப்பிடும் எதிர்மறை ப்ராம்ப்ட்.

இயல்புநிலை 30

inference-க்குப் பயன்படுத்தப்படும் படிகளின் எண்ணிக்கை.

உருவாக்கத்தை மீண்டும் உருவாக்கக்கூடியதாக மாற்றும் விதை. None என அமைத்தால் விதை சீரற்றதாகத் தேர்ந்தெடுக்கப்படும்.

POST /run/ovi?wait=20 விலை → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ovi?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

Ovi Text to Video பற்றி

உரை `prompt` இலிருந்து ஒலியுடன் ஒரு கிளிப்பை உருவாக்குகிறது. 992x512, 512x992, 720x720 மற்றும் 1120x448 உட்பட ஏழு `resolution` மதிப்புகளில் ஒன்றைத் தேர்ந்தெடுக்கலாம். வீடியோ மற்றும் ஆடியோவுக்கு தனித்தனி நெகட்டிவ் ப்ராம்ப்ட்கள் உள்ளன (`negative_prompt`, `audio_negative_prompt`). `num_inference_steps` 1 முதல் 50 வரை இருக்கும் (இயல்புநிலை 30); `seed` மீண்டும் உருவாக்கக்கூடிய முடிவுகளை அனுமதிக்கிறது.

அளவுருக்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
promptதேவை
வகைstring
வீடியோ உருவாக்கத்தை வழிநடத்தும் உரை வழிமுறைகள்.
negative_promptவிருப்பத்தேர்வு
வகைstring
இயல்புநிலைjitter, bad hands, blur, distortion
வீடியோ உருவாக்கும்போது பயன்படுத்தப்படும் எதிர்மறை ப்ராம்ப்ட்.
num_inference_stepsவிருப்பத்தேர்வு
வகைinteger
இயல்புநிலை30
1 – 50
inference-க்குப் பயன்படுத்தப்படும் படிகளின் எண்ணிக்கை.
audio_negative_promptவிருப்பத்தேர்வு
வகைstring
இயல்புநிலைrobotic, muffled, echo, distorted
உருவாக்கப்படும் ஆடியோவில் எதைத் தவிர்க்க வேண்டும் என்பதைக் குறிப்பிடும் எதிர்மறை ப்ராம்ப்ட்.
seedவிருப்பத்தேர்வு
வகைinteger | null
உருவாக்கத்தை மீண்டும் உருவாக்கக்கூடியதாக மாற்றும் விதை. None என அமைத்தால் விதை சீரற்றதாகத் தேர்ந்தெடுக்கப்படும்.
resolutionவிருப்பத்தேர்வு
வகைenum
இயல்புநிலை992x512
512x992992x512960x512512x960720x720448x11201120x448
W:H வடிவில் குறிப்பிடப்படும் வெளியீட்டு வீடியோ தெளிவுத்திறன். 512x992, 992x512, 960x512, 512x960, 720x720 அல்லது 448x1120 இலிருந்து தேர்வு செய்யவும்.
enable_safety_checkerவிருப்பத்தேர்வு
வகைboolean
இயல்புநிலைtrue
அழைப்பாளர் அங்கீகரிக்கப்பட்டிருந்தால், false என அமைப்பதன் மூலம் திரையிடலைத் தளர்த்தலாம்.
தேவை

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ovi",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
video
object {url, content_type, file_name, file_size} | nullஉருவாக்கத்தால் தயாரிக்கப்படும் வீடியோ கோப்பு.
seed
integerஉருவாக்கத்தின்போது பயன்படுத்தப்படும் விதை மதிப்பு.

மேலும் மாதிரிகள்: உரையிலிருந்து வீடியோவிற்கு

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/ovi.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt